summaryrefslogtreecommitdiffstats
path: root/mining/bin/ensure-router
diff options
context:
space:
mode:
authormakefu <makefu@syntax-fehler.de>2011-07-11 14:47:11 +0200
committermakefu <makefu@syntax-fehler.de>2011-07-11 14:47:11 +0200
commit7c485dd884fe812d114df55e62071c125b6d6cd6 (patch)
treee25203d8a68c30b6b97f420230b18b98fa4e601c /mining/bin/ensure-router
parentbc79f905a3437b767dffcc83ea570efea4e5c10c (diff)
parentb95bc0963f5be17a45600ac4750a721b1ed30e4d (diff)
Merge of github.com:krebscode/painload newline
Conflicts: temper/Makefile: stupid newline
Diffstat (limited to 'mining/bin/ensure-router')
-rwxr-xr-xmining/bin/ensure-router27
1 files changed, 27 insertions, 0 deletions
diff --git a/mining/bin/ensure-router b/mining/bin/ensure-router
new file mode 100755
index 00000000..ec78f610
--- /dev/null
+++ b/mining/bin/ensure-router
@@ -0,0 +1,27 @@
+#! /bin/sh
+
+if test "${nosudo-false}" != true -a `id -u` != 0; then
+ echo "we're going sudo..." >&2
+ exec sudo "$0" "$@"
+ exit 23 # go to hell
+fi
+
+if=eth2
+
+if ! ifconfig $if | grep -q 'inet addr'; then
+ beep -l 50 -f 2500; ifconfig $if 0.0.0.0 down || :
+ beep -l 50 -f 2500; ifconfig $if 23.0.0.1/8 up || :
+ beep -l 50 -f 2500; /etc/init.d/dnsmasq restart
+ beep -l 50 -f 2500; iptables -t nat -A POSTROUTING -o wlan0 -j MASQUERADE
+ beep -l 50 -f 2500; iptables -t nat -A POSTROUTING -o eth2 -j MASQUERADE
+ if ifconfig $if | grep -q 'inet addr'; then
+ beep -l 50 -f 2500 -n -l 100 -f 3000
+ else
+ beep -l 50 -f 2500 -n -l 100 -f 1000
+ fi
+else
+ case "${1-}" in
+ (--quiet) : ;;
+ (*) beep -l 50 -f 2500 -n -l 100 -f 2500 ;;
+ esac
+fi